Authentication stays active even after browser is closed
2009-05-06 16:25 - Chris g

Status: Closed Start date: 2009-05-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 0.8.3
Description

I'm using Firefox 3.0.10 on Mac OS and I'm still authenticated when | come back on Redmine after closing the browser. | did not
check "Stay logged in".

It works fine under Safari, I'm not logged in when | come back.
This affects the fresh 0.8.3 version of Redmine | just installed, and the bug also occurs on www.redmine.org.

| tested two Mac machines with Firefox 3.0.10, same result. However, | have a mac with Firefox 3.0.6 and the problem does not
occur. So it may be a Firefox bug...

History

#1 - 2009-05-06 21:54 - Chris g

Same problem under Ubuntu using Firefox 3.0.10.

#2 - 2009-05-07 06:55 - Zarooba Rozruba

Check if browser was truly restarted. See if it changed Process ID. You could have left download window open on another workspace?

#3 - 2009-05-11 12:44 - Chris g

Yes, the browser was truly restarted, with process id changed.

Just tested on Windows XP, it does not occur on this platform.

#4 - 2009-05-12 19:24 - Jean-Philippe Lang

There's no way | can fix it if the browser actually keeps its Redmine session id.

#5 - 2009-05-12 21:49 - Chris g

Ok, | made a search on Firefox Bugzilla and found this bug entry which explains this behavior : https://bugzilla.mozilla.org/show_bug.cqi?id=443354
Mozilla guys indicate it's a normal behavior when you use the "Save and quit" feature allowing to save tabs and windows when quitting Firefox. There
are discussions about the validity of this behavior.

But it's definitely not a Redmine issue then. You can close the bug, thanks.

#6 - 2009-05-13 01:33 - Eric Davis
- Status changed from New to Closed

- Resolution set to Invalid

Interesting. Thanks for digging up that link Chris g.
